(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap17.png", id:"Bitmap17"},
		{src:"images/Bitmap18.png", id:"Bitmap18"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,100,49);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,76,49);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,100,49);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,100,49);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,100,49);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,100,49);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,100,49);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,76,49);


(lib.Bitmap17 = function() {
	this.initialize(img.Bitmap17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,52,49);


(lib.Bitmap18 = function() {
	this.initialize(img.Bitmap18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1178,590);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,52,49);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,52,49);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,52,49);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,52,49);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,76,49);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,76,49);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,76,49);


(lib.Symbol16 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,100,49);
p.frameBounds = [rect];


(lib.Symbol15 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,100,49);
p.frameBounds = [rect];


(lib.Symbol14 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,100,49);
p.frameBounds = [rect];


(lib.Symbol13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,100,49);
p.frameBounds = [rect];


(lib.Symbol12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,76,49);
p.frameBounds = [rect];


(lib.Symbol11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,76,49);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,76,49);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,52,49);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,52,49);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap3();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,52,49);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,52,49);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap17();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,52,49);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,76,49);
p.frameBounds = [rect];


(lib.Symbol2copy = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap1();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,100,49);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,100,49);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,76,49);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '33254',
			title: 'Przenieś w puste pola odpowiednie liczby, aby działania w danym rzędzie stworzyły działania analogiczne',
			type: 'drag',
			container: this,
			endsound: 'ssBrawa',
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1|2',
				/*drop_2:*/ '1|2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4|5',	
				/*drop_5:*/ '4|5',	
				/*drop_6:*/ '6',	
				/*drop_7:*/ '7',	
				/*drop_8:*/ '8',	
				/*drop_9:*/ '9|10',		
				/*drop_10:*/ '9|10',		
				/*drop_11:*/ '11',		
				/*drop_12:*/ '12',		
				/*drop_13:*/ '13',		
				/*drop_14:*/ '14',		
				/*drop_15:*/ '15',		
				/*drop_16:*/ '16',		
			],
			range: 20,
			alpha: 1,
			alpha2: 1,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drag_12 = new lib.Symbol2copy();
	this.drag_12.setTransform(852.4,677.5,1,1,0,0,0,50,24.4);

	this.drag_7 = new lib.Symbol9();
	this.drag_7.setTransform(475.7,682.2,1,1,0,0,0,38,24.5);

	this.drag_6 = new lib.Symbol1();
	this.drag_6.setTransform(390.9,681.5,1,1,0,0,0,38,24.5);

	this.drag_10 = new lib.Symbol12();
	this.drag_10.setTransform(641.6,679.6,1,1,0,0,0,37.9,24.6);

	this.drag_5 = new lib.Symbol8();
	this.drag_5.setTransform(314.6,720.4,1,1,0,0,0,25.9,24.7);

	this.drag_2 = new lib.Symbol5();
	this.drag_2.setTransform(126.7,681.8,1,1,0,0,0,25.9,24.7);

	this.drag_15 = new lib.Symbol16();
	this.drag_15.setTransform(1180.8,677.5,1,1,0,0,0,50,24.4);

	this.drag_14 = new lib.Symbol15();
	this.drag_14.setTransform(1075.7,676.4,1,1,0,0,0,50,24.4);

	this.drag_13 = new lib.Symbol14();
	this.drag_13.setTransform(966.8,677.5,1,1,0,0,0,50,24.4);

	this.drag_11 = new lib.Symbol13();
	this.drag_11.setTransform(748,679,1,1,0,0,0,50,24.4);

	this.drag_9 = new lib.Symbol12();
	this.drag_9.setTransform(641.6,680.2,1,1,0,0,0,37.9,24.6);

	this.drag_8 = new lib.Symbol11();
	this.drag_8.setTransform(556.6,680.5,1,1,0,0,0,37.9,24.6);

	this.drag_4 = new lib.Symbol8();
	this.drag_4.setTransform(314.6,681,1,1,0,0,0,25.9,24.7);

	this.drag_16 = new lib.Symbol7();
	this.drag_16.setTransform(252.6,680.7,1,1,0,0,0,25.9,24.7);

	this.drag_3 = new lib.Symbol6();
	this.drag_3.setTransform(190.6,679.6,1,1,0,0,0,25.9,24.7);

	this.drag_1 = new lib.Symbol5();
	this.drag_1.setTransform(126.7,682.4,1,1,0,0,0,25.9,24.7);

	this.drop_2 = new lib.Symbol4();
	this.drop_2.setTransform(987.6,232.4,1,1,0,0,0,25.9,24.7);

	this.drop_1 = new lib.Symbol4();
	this.drop_1.setTransform(987.6,162.4,1,1,0,0,0,25.9,24.7);

	this.drop_5 = new lib.Symbol4();
	this.drop_5.setTransform(923.6,492.4,1,1,0,0,0,25.9,24.7);

	this.drop_3 = new lib.Symbol4();
	this.drop_3.setTransform(638.7,492.2,1,1,0,0,0,25.9,24.7);

	this.drop_16 = new lib.Symbol4();
	this.drop_16.setTransform(737.6,421.7,1,1,0,0,0,25.9,24.7);

	this.drop_8 = new lib.Symbol3();
	this.drop_8.setTransform(641.6,420.4,1,1,0,0,0,37.9,24.6);

	this.drop_7 = new lib.Symbol3();
	this.drop_7.setTransform(562.4,362,1,1,0,0,0,37.9,24.6);

	this.drop_10 = new lib.Symbol3();
	this.drop_10.setTransform(625.8,297.4,1,1,0,0,0,37.9,24.6);

	this.drop_9 = new lib.Symbol3();
	this.drop_9.setTransform(744.3,166.5,1,1,0,0,0,37.9,24.6);

	this.drop_13 = new lib.Symbol2();
	this.drop_13.setTransform(959.8,420.7,1,1,0,0,0,50,24.4);

	this.drop_15 = new lib.Symbol2();
	this.drop_15.setTransform(1097.8,157.7,1,1,0,0,0,50,24.4);

	this.drop_11 = new lib.Symbol2();
	this.drop_11.setTransform(557.8,227.7,1,1,0,0,0,50,24.4);

	this.drop_12 = new lib.Symbol2();
	this.drop_12.setTransform(406.8,487.7,1,1,0,0,0,50,24.4);

	this.drop_4 = new lib.Symbol4();
	this.drop_4.setTransform(291.6,360,1,1,0,0,0,25.9,24.7);

	this.drop_6 = new lib.Symbol3();
	this.drop_6.setTransform(398.3,291.7,1,1,0,0,0,37.9,24.6);

	this.drop_14 = new lib.Symbol2();
	this.drop_14.setTransform(406.8,227.7,1,1,0,0,0,50,24.4);

	this.instance = new lib.Bitmap18();
	this.instance.setTransform(42.1,64.7);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance},{t:this.drop_14},{t:this.drop_6},{t:this.drop_4},{t:this.drop_12},{t:this.drop_11},{t:this.drop_15},{t:this.drop_13},{t:this.drop_9},{t:this.drop_10},{t:this.drop_7},{t:this.drop_8},{t:this.drop_16},{t:this.drop_3},{t:this.drop_5},{t:this.drop_1},{t:this.drop_2},{t:this.drag_1},{t:this.drag_3},{t:this.drag_16},{t:this.drag_4},{t:this.drag_8},{t:this.drag_9},{t:this.drag_11},{t:this.drag_13},{t:this.drag_14},{t:this.drag_15},{t:this.drag_2},{t:this.drag_5},{t:this.drag_10},{t:this.drag_6},{t:this.drag_7},{t:this.drag_12}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(42.1,64.7,1188.7,680);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(682.1,424.7,1188.7,680);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;